function [param] = estimateSVAGGD(vec,noDownScale)
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here
gam   = 0.2:0.001:10;
r_gam = ((gamma(2./gam)).^2)./(gamma(1./gam).*gamma(3./gam));


leftstd            = sqrt(mean((vec(vec<0)).^2));
rightstd           = sqrt(mean((vec(vec>0)).^2));
gammahat           = leftstd/rightstd;
rhat               = (mean(abs(vec)))^2/mean((vec).^2);
rhatnorm           = (rhat*(gammahat^3 +1)*(gammahat+1))/((gammahat^2 +1)^2);
[~, array_position] = min((r_gam - rhatnorm).^2);
alpha              = gam(array_position);
if noDownScale
    param(:,:,1) = alpha;
    const = (sqrt(gamma(1/alpha))/sqrt(gamma(3/alpha)));
%     if isnan(param(:,:,2))
%         display(param(:,:,2));
%     end
    param(:,:,2) = leftstd^2;
    param(:,:,3) = rightstd^2;
    param(:,:,4) = (param(:,:,2)-param(:,:,3)).*(gamma(2./alpha)./gamma(1./alpha)).*const;
else
    param(:,:,1) = leftstd^2;
    param(:,:,2) = rightstd^2;
end
end

