function [param] = estimateSVGGD(vec, noDownScale)
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here
gam = 0.2:0.001:10;
r_gam = (gamma(1./gam).*gamma(3./gam))./((gamma(2./gam)).^2);

sigma_sq = mean((vec).^2);
E = mean(abs(vec));
rho = sigma_sq/E^2;
[~, array_position] = min(abs(rho - r_gam));
if noDownScale
    param(1,1,1) = gam(array_position); % variance
    param(1,1,2) = sigma_sq; % shape
else
    param = sigma_sq;
end
end
