function [filt] = genWeightPatterns(input_size, len, range, factor)
%UNTITLED8 Summary of this function goes here
%   Detailed explanation goes here
[xx,yy] = meshgrid(1:input_size(1),1:input_size(2));
R = sqrt((xx-input_size(1)/2-0.5).^2+(yy-input_size(2)/2-0.5).^2);
r = linspace(0,range,len)*factor;
filt = zeros(input_size(1),input_size(2),length(r));
for ii = 1:length(r)
    filt(:,:,ii) = DiracConvolvedGaussian(R,r(ii),(r(2)-r(1)));
    filt(:,:,ii) = filt(:,:,ii)./sum(filt(:,:,ii),"all");
end
end